Bug 869734 - [abrt] gnome-packagekit-3.6.0-2.fc18: g_menu_model_get_n_items: Process /usr/bin/gpk-application was killed by signal 11 (SIGSEGV)
[abrt] gnome-packagekit-3.6.0-2.fc18: g_menu_model_get_n_items: Process /usr/...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-packagekit (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
abrt_hash:3ed470eb463ce679770d6476cf2...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-24 12:46 EDT by wagerrard
Modified: 2014-02-05 07:42 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 07:42:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: core_backtrace (3.20 KB, text/plain)
2012-10-24 12:46 EDT, wagerrard
no flags Details
File: environ (1.42 KB, text/plain)
2012-10-24 12:46 EDT, wagerrard
no flags Details
File: backtrace (24.66 KB, text/plain)
2012-10-24 12:46 EDT, wagerrard
no flags Details
File: limits (1.29 KB, text/plain)
2012-10-24 12:46 EDT, wagerrard
no flags Details
File: cgroup (132 bytes, text/plain)
2012-10-24 12:46 EDT, wagerrard
no flags Details
File: maps (54.50 KB, text/plain)
2012-10-24 12:46 EDT, wagerrard
no flags Details
File: dso_list (10.49 KB, text/plain)
2012-10-24 12:46 EDT, wagerrard
no flags Details
File: proc_pid_status (937 bytes, text/plain)
2012-10-24 12:46 EDT, wagerrard
no flags Details
File: var_log_messages (342 bytes, text/plain)
2012-10-24 12:46 EDT, wagerrard
no flags Details
File: open_fds (716 bytes, text/plain)
2012-10-24 12:46 EDT, wagerrard
no flags Details

  None (edit)
Description wagerrard 2012-10-24 12:46:26 EDT
Description of problem:
Running Software, searched only on "p" by mistake.  Very long hit list generated. Tried to quite from menu unsuccessfully.  Clicked Close icon, error appeared.

Version-Release number of selected component:
gnome-packagekit-3.6.0-2.fc18

Additional info:
libreport version: 2.0.16
abrt_version:   2.0.16
backtrace_rating: 4
cmdline:        gpk-application
crash_function: g_menu_model_get_n_items
kernel:         3.6.2-2.fc18.x86_64

truncated backtrace:
:Thread no. 1 (10 frames)
: #0 g_menu_model_get_n_items at gmenumodel.c:504
: #1 gtk_application_window_update_shell_shows_app_menu at gtkapplicationwindow.c:305
: #2 gtk_application_window_real_realize at gtkapplicationwindow.c:748
: #3 _g_closure_invoke_va at gclosure.c:840
: #6 gtk_widget_realize at gtkwidget.c:4464
: #7 gtk_window_show at gtkwindow.c:4873
: #12 gtk_widget_show at gtkwidget.c:4042
: #17 g_signal_emit_by_name at gsignal.c:3393
: #18 g_application_impl_method_call at gapplicationimpl-dbus.c:129
: #19 call_in_idle_cb at gdbusconnection.c:4737
Comment 1 wagerrard 2012-10-24 12:46:28 EDT
Created attachment 632886 [details]
File: core_backtrace
Comment 2 wagerrard 2012-10-24 12:46:30 EDT
Created attachment 632887 [details]
File: environ
Comment 3 wagerrard 2012-10-24 12:46:32 EDT
Created attachment 632888 [details]
File: backtrace
Comment 4 wagerrard 2012-10-24 12:46:33 EDT
Created attachment 632889 [details]
File: limits
Comment 5 wagerrard 2012-10-24 12:46:35 EDT
Created attachment 632890 [details]
File: cgroup
Comment 6 wagerrard 2012-10-24 12:46:36 EDT
Created attachment 632891 [details]
File: maps
Comment 7 wagerrard 2012-10-24 12:46:38 EDT
Created attachment 632892 [details]
File: dso_list
Comment 8 wagerrard 2012-10-24 12:46:40 EDT
Created attachment 632893 [details]
File: proc_pid_status
Comment 9 wagerrard 2012-10-24 12:46:41 EDT
Created attachment 632894 [details]
File: var_log_messages
Comment 10 wagerrard 2012-10-24 12:46:44 EDT
Created attachment 632895 [details]
File: open_fds
Comment 11 arnaud.aujon 2013-11-12 07:23:41 EST
Still happens in Fedora 19 with gnome-packagekit 3.8.2
Comment 12 Fedora End Of Life 2013-12-21 04:11:45 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 13 Fedora End Of Life 2014-02-05 07:42:43 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.